Subject: bug#40126: Acknowledgement (28.0.50; [feature/native-comp] + Org 9.3.6 org-with-wide-buffer macro is wrongly treated as function)

From: Ihor Radchenko <[email-masked]>
Date: Tue, 07 Apr 2020 15:44:47 +0800

Hi Andrea,

I am not really familiar with compilation in Emacs, so correct me if I
misunderstand something.

I have looked through org package files and fount the following line in
org.el:

(eval-and-compile (require 'org-macs))

I suspect that it supposed to be responsible for loading the macro
definitions (including org-with-wide-buffer) during byte-compilation.
I guess that org expects org.el to be compiled before other org files
and thus all the macro definitions should be loaded during the
compilation. Not sure if this expectation supposed to be valid.

Best,
Ihor

Andrea Corallo <[email-masked]> writes:

> Hi Ihor,
>
> To me it looks the issue is in the code.
>
> `org-with-wide-buffer' is defined in org-macs.el but I see no requires
> in that file.
>
> Also in org-macs.el I see that `org-with-wide-buffer' is referenced the
> before its definition.  AFAIU this should be not correct (at least in
> CL).
>
> It's quite late but... am I wrong?
>
> Bests
>
>   Andrea
>
> --
> [email-masked]

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: [email-masked], [email-masked]